Subject: Re: Possible problem in collection definition

From: Jason Crawford <[email-masked]>
Date: Sat, 18 Feb 2006 16:54:46 -0500

On Saturday, 02/18/2006 at 08:27 MST, Geoffrey M Clemm/Lexington/IBM@IBMUS 
wrote:
> I think the following addition would solve the problem.  Following 
> the paragraph quoted below, add the paragraph: 
> 
>   An exception to this rule occurs if the server performs "case-folding" 

>   on the URL segments, e.g. considers the segment "AB" to be equivalent 
>   to the segements "Ab", "aB", and "ab".  In this case, A MUST contain 
>   a mapping to B from one of the segments that are equivalent to 
"SEGMENT". 

That's good, but I think Jullian also included another example that wasn't 
case folding.  It was the case of what Windows does with filenames with no 
extention.  It accepts either      george   or  george.   (note the 
trailing dot) as the same file.   I assume there are other cases that we 
haven't thought of.  We probably need to make the wording a bit more 
generic, but we could use case-folding as an example.

J.

---

From: Geoffrey M Clemm <[email-masked]>
Date: Sat, 18 Feb 2006 16:39:25 -0700

OK, how about:
 An exception to this rule occurs if the server considers
 certain segments to be equivalent (i.e., the segments will always
 identify the same resource).  In this case, A MUST contain a mapping
 to B from at least one of the segments that are equivalent to "SEGMENT".
 For example, if the server performs "case-folding" on the URL
 segments, then in the preceding example, A must contain a mapping
 from either "blah" or "blAh" to B, but does not have to contain
 both mappings.

Cheers,
Geoff

[email-masked] wrote on 02/18/2006 02:54:46 PM:

> 
> On Saturday, 02/18/2006 at 08:27 MST, Geoffrey M 
> Clemm/Lexington/IBM@IBMUS wrote:

"SEGMENT". 
> 
> That's good, but I think Jullian also included another example that 
> wasn't case folding.  It was the case of what Windows does with 
> filenames with no extention.  It accepts either      george   or 
> george.   (note the trailing dot) as the same file.   I assume there
> are other cases that we haven't thought of.  We probably need to 
> make the wording a bit more generic, but we could use case-folding 
> as an example. 
> 
> J.